Package twisted :: Package spread :: Package ui :: Module tkutil

[show private | hide private]
[frames | no frames]

## Module twisted.spread.ui.tkutil

Classes
`CList` |
`DirectoryBrowser` |
`GenericLogin` |
`Login` |
`ProgressBar` |
`_QueryPassword` |

Function Summary
| ``askdirectory`(**options)` Ask for a directory to save to.
| ``askpassword`(title, prompt, **kw)` get a password from the user
| `grid_setexpand(widget)`

Variable Summary
`string` | `ACTIVE`
`string` | `ALL`
`string` | `ANCHOR`
`string` | `ARC`
`string` | `BASELINE`
`string` | `BEVEL`
`string` | `BOTH`
`string` | `BOTTOM`
`string` | `BROWSE`
`string` | `BUTT`
`string` | `CASCADE`
`string` | `CENTER`
`string` | `CHAR`
`string` | `CHECKBUTTON`
`string` | `CHORD`
`string` | `COMMAND`
`string` | `CURRENT`
`string` | `DISABLED`
`string` | `E`
`string` | `END`
`string` | `EW`
`int` | `EXCEPTION`
`string` | `EXTENDED`
`int` | `FALSE`
`string` | `FIRST`
`string` | `FLAT`
`string` | `GROOVE`
`string` | `HORIZONTAL`
`string` | `INSERT`
`string` | `INSIDE`
`string` | `LAST`
`string` | `LEFT`
`string` | `MITER`
`string` | `MOVETO`
`string` | `MULTIPLE`
`string` | `N`
`string` | `NE`
`int` | `NO`
`string` | `NONE`
`string` | `NORMAL`
`string` | `NS`
`string` | `NSEW`
`string` | `NUMERIC`
`string` | `NW`
`int` | `OFF`
`int` | `ON`
`string` | `OUTSIDE`
`string` | `PAGES`
`string` | `PIESLICE`
`string` | `PROJECTING`
`string` | `RADIOBUTTON`
`string` | `RAISED`
`SelectReactor` | `reactor`
`int` | `READABLE`
`string` | `RIDGE`
`string` | `RIGHT`
`string` | `ROUND`
`string` | `S`
`string` | `SCROLL`
`string` | `SE`
`string` | `SEL`
`string` | `SEL_FIRST`
`string` | `SEL_LAST`
`string` | `SEPARATOR`
`string` | `SINGLE`
`string` | `SOLID`
`tuple` | `StringTypes`
`string` | `SUNKEN`
`string` | `SW`
`string` | `TclError`
`float` | `TclVersion`
`float` | `TkVersion`
`string` | `TOP`
`int` | `TRUE`
`string` | `UNITS`
`string` | `VERTICAL`
`string` | `W`
`string` | `WORD`
`int` | `WRITABLE`
`string` | `X`
`string` | `Y`
`int` | `YES`

Function Details

### askdirectory(**options)

Ask for a directory to save to.

### askpassword(title, prompt, **kw)

get a password from the user

  Parameters:
    `title` - the dialog title
    `prompt` - the label text @param **kw: see `SimpleDialog` class
  Returns:
    a string

Variable Details

### ACTIVE

  Type:
    `string`
  Value:

        'active'

### ALL

  Type:
    `string`
  Value:

        'all'

### ANCHOR

  Type:
    `string`
  Value:

        'anchor'

### ARC

  Type:
    `string`
  Value:

        'arc'

### BASELINE

  Type:
    `string`
  Value:

        'baseline'

### BEVEL

  Type:
    `string`
  Value:

        'bevel'

### BOTH

  Type:
    `string`
  Value:

        'both'

### BOTTOM

  Type:
    `string`
  Value:

        'bottom'

### BROWSE

  Type:
    `string`
  Value:

        'browse'

### BUTT

  Type:
    `string`
  Value:

        'butt'

### CASCADE

  Type:
    `string`
  Value:

        'cascade'

### CENTER

  Type:
    `string`
  Value:

        'center'

### CHAR

  Type:
    `string`
  Value:

        'char'

### CHECKBUTTON

  Type:
    `string`
  Value:

        'checkbutton'

### CHORD

  Type:
    `string`
  Value:

        'chord'

### COMMAND

  Type:
    `string`
  Value:

        'command'

### CURRENT

  Type:
    `string`
  Value:

        'current'

### DISABLED

  Type:
    `string`
  Value:

        'disabled'

### E

  Type:
    `string`
  Value:

        'e'

### END

  Type:
    `string`
  Value:

        'end'

### EW

  Type:
    `string`
  Value:

        'ew'

### EXCEPTION

  Type:
    `int`
  Value:

        8

### EXTENDED

  Type:
    `string`
  Value:

        'extended'

### FALSE

  Type:
    `int`
  Value:

        0

### FIRST

  Type:
    `string`
  Value:

        'first'

### FLAT

  Type:
    `string`
  Value:

        'flat'

### GROOVE

  Type:
    `string`
  Value:

        'groove'

### HORIZONTAL

  Type:
    `string`
  Value:

        'horizontal'

### INSERT

  Type:
    `string`
  Value:

        'insert'

### INSIDE

  Type:
    `string`
  Value:

        'inside'

### LAST

  Type:
    `string`
  Value:

        'last'

### LEFT

  Type:
    `string`
  Value:

        'left'

### MITER

  Type:
    `string`
  Value:

        'miter'

### MOVETO

  Type:
    `string`
  Value:

        'moveto'

### MULTIPLE

  Type:
    `string`
  Value:

        'multiple'

### N

  Type:
    `string`
  Value:

        'n'

### NE

  Type:
    `string`
  Value:

        'ne'

### NO

  Type:
    `int`
  Value:

        0

### NONE

  Type:
    `string`
  Value:

        'none'

### NORMAL

  Type:
    `string`
  Value:

        'normal'

### NS

  Type:
    `string`
  Value:

        'ns'

### NSEW

  Type:
    `string`
  Value:

        'nsew'

### NUMERIC

  Type:
    `string`
  Value:

        'numeric'

### NW

  Type:
    `string`
  Value:

        'nw'

### OFF

  Type:
    `int`
  Value:

        0

### ON

  Type:
    `int`
  Value:

        1

### OUTSIDE

  Type:
    `string`
  Value:

        'outside'

### PAGES

  Type:
    `string`
  Value:

        'pages'

### PIESLICE

  Type:
    `string`
  Value:

        'pieslice'

### PROJECTING

  Type:
    `string`
  Value:

        'projecting'

### RADIOBUTTON

  Type:
    `string`
  Value:

        'radiobutton'

### RAISED

  Type:
    `string`
  Value:

        'raised'

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

### READABLE

  Type:
    `int`
  Value:

        2

### RIDGE

  Type:
    `string`
  Value:

        'ridge'

### RIGHT

  Type:
    `string`
  Value:

        'right'

### ROUND

  Type:
    `string`
  Value:

        'round'

### S

  Type:
    `string`
  Value:

        's'

### SCROLL

  Type:
    `string`
  Value:

        'scroll'

### SE

  Type:
    `string`
  Value:

        'se'

### SEL

  Type:
    `string`
  Value:

        'sel'

### SEL_FIRST

  Type:
    `string`
  Value:

        'sel.first'

### SEL_LAST

  Type:
    `string`
  Value:

        'sel.last'

### SEPARATOR

  Type:
    `string`
  Value:

        'separator'

### SINGLE

  Type:
    `string`
  Value:

        'single'

### SOLID

  Type:
    `string`
  Value:

        'solid'

### StringTypes

  Type:
    `tuple`
  Value:

        (<type 'string'>, <type 'unicode'>)

### SUNKEN

  Type:
    `string`
  Value:

        'sunken'

### SW

  Type:
    `string`
  Value:

        'sw'

### TclError

  Type:
    `string`
  Value:

        'TclError'

### TclVersion

  Type:
    `float`
  Value:

        8.3000000000000007

### TkVersion

  Type:
    `float`
  Value:

        8.3000000000000007

### TOP

  Type:
    `string`
  Value:

        'top'

### TRUE

  Type:
    `int`
  Value:

        1

### UNITS

  Type:
    `string`
  Value:

        'units'

### VERTICAL

  Type:
    `string`
  Value:

        'vertical'

### W

  Type:
    `string`
  Value:

        'w'

### WORD

  Type:
    `string`
  Value:

        'word'

### WRITABLE

  Type:
    `int`
  Value:

        4

### X

  Type:
    `string`
  Value:

        'x'

### Y

  Type:
    `string`
  Value:

        'y'

### YES

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:19:25 2003 | http://epydoc.sf.net